# Component Makefile
#
## These include paths would be exported to project level
COMPONENT_ADD_INCLUDEDIRS += ./MQTTClient-C ./MQTTPacket

## not be exported to project level
COMPONENT_PRIV_INCLUDEDIRS := 

## This component's src 
COMPONENT_SRCS := MQTTClient-C/MQTTClient.c
COMPONENT_SRCS += MQTTClient-C/MQTTHF.c
COMPONENT_SRCS += MQTTPacket/MQTTConnectClient.c
COMPONENT_SRCS += MQTTPacket/MQTTConnectServer.c
COMPONENT_SRCS += MQTTPacket/MQTTDeserializePublish.c
COMPONENT_SRCS += MQTTPacket/MQTTFormat.c
COMPONENT_SRCS += MQTTPacket/MQTTPacket.c
COMPONENT_SRCS += MQTTPacket/MQTTSerializePublish.c
COMPONENT_SRCS += MQTTPacket/MQTTSubscribeClient.c
COMPONENT_SRCS += MQTTPacket/MQTTSubscribeServer.c
COMPONENT_SRCS += MQTTPacket/MQTTUnsubscribeClient.c
COMPONENT_SRCS += MQTTPacket/MQTTUnsubscribeServer.c

COMPONENT_OBJS := $(patsubst %.c,%.o, $(COMPONENT_SRCS))
COMPONENT_SRCDIRS := MQTTClient-C MQTTPacket

## This component's library 
LIBS ?= 
COMPONENT_ADD_LDFLAGS += -L$(COMPONENT_PATH)/lib $(addprefix -l,$(LIBS))
ALL_LIB_FILES := $(patsubst %,$(COMPONENT_PATH)/lib/lib%.a,$(LIBS))
COMPONENT_ADD_LINKER_DEPS := $(ALL_LIB_FILES)

## This component's flag
#CPPFLAGS += 
